Package org.springframework.security.config.http

# Class UserDetailsServiceFactoryBean

java.lang.Object
org.springframework.security.config.http.UserDetailsServiceFactoryBean

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.context.ApplicationContextAware`

public class UserDetailsServiceFactoryBean extends Object implements org.springframework.context.ApplicationContextAware
Bean used to lookup a named UserDetailsService or AuthenticationUserDetailsService.

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`UserDetailsServiceFactoryBean()`

## Method Summary

Modifier and Type
Method
Description
`void`
`setApplicationContext(org.springframework.context.ApplicationContext beanFactory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserDetailsServiceFactoryBean

public UserDetailsServiceFactoryBean()

## Method Details

### setApplicationContext

public void setApplicationContext(org.springframework.context.ApplicationContext beanFactory) throws org.springframework.beans.BeansException

Specified by:
  `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
Throws:
  `org.springframework.beans.BeansException`